Package org.apache.lucene.queryparser.flexible.core.config

# Class ConfigurationKey<T>

java.lang.Object
org.apache.lucene.queryparser.flexible.core.config.ConfigurationKey<T>

Type Parameters:
  `T` - holds the value's type, which is defined in the generic argument.

public final class ConfigurationKey<T> extends Object
An instance of this class represents a key that is used to retrieve a value from `AbstractQueryConfig`.

See Also:
  - `AbstractQueryConfig`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> ConfigurationKey<T>`
  `newInstance()`
  Creates a new instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newInstance

    public static <T> ConfigurationKey<T> newInstance()
    Creates a new instance.
    Type Parameters:
      `T` - the value's type
    Returns:
      a new instance